Bug 1567638 - [RFE] Need further hint and doc beyond logging "VFIO group is not viable!" ERR
Summary: [RFE] Need further hint and doc beyond logging "VFIO group is not viable!" ERR
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch
Version: 7.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Kevin Traynor
QA Contact: Jean-Tsung Hsiao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 17:03 UTC by Jean-Tsung Hsiao
Modified: 2019-06-26 10:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 10:23:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jean-Tsung Hsiao 2018-04-15 17:03:09 UTC
Description of problem: [RFE]  [RFE] Need further hint and doc beyond logging "VFIO group is not viable!" ERR

RE: https://bugzilla.redhat.com/show_bug.cgi?id=1479894

Version-Release number of selected component (if applicable):
[root@netqe22 proc]# uname -a
Linux netqe22.knqe.lab.eng.bos.redhat.com 3.10.0-862.el7.bz1558328.x86_64 #1 SMP Thu Mar 22 11:10:59 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 Kevin Traynor 2019-02-05 10:58:14 UTC
I'll add something along the lines of "VFIO group not viable. All devices in IOMMU group should be bound to VFIO or unbound."

Comment 8 Kevin Traynor 2019-06-26 10:23:10 UTC
This is now in upstream DPDK and will get pulled into downstream on update.

https://git.dpdk.org/dpdk/commit/?id=da2d1d42f9638d0a1f8dc0617ac8fb0929dc2d6a


Note You need to log in before you can comment on or make changes to this bug.